echo off
SETLOCAL

echo *** Deleting old images.h ***
DEL ..\src\images.h

echo *** Building sprite file from tiles ***
cd Tiles
tga2sprite ..\gfxTiles.spt 00Floor.tga 01Wall.tga 02Chip.tga 03Water.tga 04Fire.tga 05InvisibleWall.tga 06BlockedNorth.tga 07BlockedWest.tga 08BlockedSouth.tga 09BlockedEast.tga 0AMovableBlock.tga 0BDirt.tga 0CIce.tga 0DForceSouth.tga 0ECloningBlockNorth.tga 0FCloningBlockWest.tga 10CloningBlockSouth.tga 11CloningBlockEast.tga 12ForceNorth.tga 13ForceEast.tga 14ForceWest.tga 15Exit.tga 16BlueDoor.tga 17RedDoor.tga 18GreenDoor.tga 19YellowDoor.tga 1AIceSlideSouthEast.tga 1BIceSlideSouthWest.tga 1CIceSlideNorthWest.tga 1DIceSlideNorthEast.tga 1EBlueBlockTile.tga 1FBlueBlockWall.tga 20NotUsed.tga 21Thief.tga 22Socket.tga 23GreenButton.tga 24RedButton.tga 25ToggleWall.tga 26ToggleFloor.tga 27BrownButton.tga 28BlueButton.tga 29Teleport.tga 2ABomb.tga 2BTrap.tga 2CInvisibleWallAppears.tga 2DGravel.tga 2ERecessedWall.tga 2FHint.tga 30BlockedSouthEast.tga 31CloningMachine.tga 32ForceRandom.tga 33DrowningChip.tga 34BurnedChip.tga 35NotUsed.tga 36NotUsed.tga 37NotUsed.tga 38NotUsed.tga 39NotUsed.tga 3ANotUsed.tga 3BNotUsed.tga 3CPlayerSwimNorth.tga 3DPlayerSwimWest.tga 3EPlayerSwimSouth.tga 3FPlayerSwimEast.tga 40BugNorth.tga 41BugWest.tga 42BugSouth.tga 43BugEast.tga 44FirebugNorth.tga 45FirebugWest.tga 46FirebugSouth.tga 47FirebugEast.tga 48PinkBallNorth.tga 49PinkBallWest.tga 4APinkBallSouth.tga 4BPinkBallEast.tga 4CTankNorth.tga 4DTankWest.tga 4ETankSouth.tga 4FTankEast.tga 50GliderNorth.tga 51GliderWest.tga 52GliderSouth.tga 53GliderEast.tga 54FrogNorth.tga 55FrogWest.tga 56FrogSouth.tga 57FrogEast.tga 58WalkerNorth.tga 59WalkerWest.tga 5AWalkerSouth.tga 5BWalkerEast.tga 5CBlobNorth.tga 5DBlobWest.tga 5EBlobSouth.tga 5FBlobEast.tga 60ParameciumNorth.tga 61ParameciumWest.tga 62ParameciumSouth.tga 63ParameciumEast.tga 64BlueKey.tga 65RedKey.tga 66GreenKey.tga 67YellowKey.tga 68Flippers.tga 69FireBoots.tga 6AIceSkates.tga 6BSuctionBoots.tga 6CPlayerNorth.tga 6DPlayerWest.tga 6EPlayerSouth.tga 6FPlayerEast.tga
cd ..

echo *** Building sprite files for hud ***
FOR %%X IN (Hud*.tga) DO call:MakeSprite %%X

echo *** Building misc sprite files ***
call:MakeSprite Checkmark.tga
call:MakeSprite YellowArrow.tga

echo *** Creating .h-files from sprites and files starting with tga ***
FOR %%X IN (*.spt) DO bin2h %%X
FOR %%X IN (tga*.tga) DO bin2h %%X

echo *** Adding individual .h-files to images.h ***
FOR %%X IN (*.h) DO type %%X >> ..\src\images.h

echo *** Cleaning up ***
DEL *.h
DEL *.spt


goto end

:MakeSprite
set a=%~1
tga2sprite gfx%a:~0,-4%.spt %~1
goto:eof

:end
echo *** DONE ***
ENDLOCAL
pause