/*
Copyright 2010 Harteex Productions
License: Creative Commons Attribution 3.0 Unported
http://creativecommons.org/licenses/by/3.0/
*/
#ifndef __drawing_h__
#define __drawing_h__

#include "config.h"

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>
#include <string.h>

#include "global.h"
#include "gamefield.h"
#include "menu.h"
#include <sml/graphics.h>
#include <sml/sprite.h>

#if COMPILE_TARGET == GEMEI_760P
#define VOLUME_NMBR_OF_DOTS 20
#else
#define VOLUME_NMBR_OF_DOTS 15
#endif

extern display* gameDisplay;

extern char debugString[];

extern sprite* gameTiles;

extern gfx_font* gameFont;
extern gfx_font* gameFontYellow;
extern gfx_font* gameFontGrey;
extern gfx_font* gameFontBlack;
extern gfx_texture* gameSplash;
extern gfx_texture* menuBg;
extern sprite* hudSmallKeyRed;
extern sprite* hudSmallKeyBlue;
extern sprite* hudSmallKeyGreen;
extern sprite* hudSmallKeyYellow;
extern sprite* hudFireBootsSmall;
extern sprite* hudFlippersSmall;
extern sprite* hudSkatesSmall;
extern sprite* hudSuctionBootsSmall;
extern sprite* checkmark;
extern sprite* yellowArrow;

extern char hudTimeLeft[];
extern char hudLevelNo[];
extern char hudChipsLeft[];
extern char hudPasswordStr[];

extern uint8_t  levelListEntriesVisible;

extern inline uint32_t gfx_color_back(gfx_color inColor);

void drawSplash();
void drawMenu(uint8_t index);
void drawGame();
void drawError(char* errorMsg, char* errorMsg2);
void drawLevelList(uint16_t offset, uint16_t selected);
void drawExitScreen(uint8_t n);
void fadescreen(int8_t percent);
void drawPasswordInput();
void drawVictoryAnimation();
void drawInstructions();
void drawControls();
void drawOptions(uint8_t curOption);
void drawCredits();
void drawHud();
void drawGrid();
void drawTile(uint16_t x, uint16_t y, uint16_t tile);
void drawLevelSplash();
void drawLevelWon();
void drawLevelGameOver();
void drawVolumeIndicator(uint16_t cur, uint16_t max);
void drawMenuSelection(uint16_t x, uint16_t y, uint16_t length);
void drawMenuWindow(uint16_t startX, uint16_t startY, uint16_t height, char* title);

#endif
